Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Can't install addon because it seems to be corrupt

  • 3 uphendule
  • 6 zinale nkinga
  • 10744 views
  • Igcine ukuphendulwa ngu cor-el

more options

I developed a Firefox addon which is only for users in my company. So I and want to distribute the .xpi file for manual installation. Now, I uploaded the .zip file to addons.mozilla.org where the addon passes the automatic tests and I am able to sign it, which I did. After downloading the .xpi file Firefox says, that the addon can not be installed because it "appears to be corrupt".

Isisombululo esikhethiwe

OK. I checked the documentation of the manifest.json file and it looks like a missing matches key in the content_scripts object.

Adding this key as a test allows to load the extension via about:debugging.

  "content_scripts": [
    {
      "matches": ["*://*.mozilla.org/*"],
      "js": ["ELiSA.js", "aes.js"],
      "css": ["ELiSA.css"]
    }
  ],
Funda le mpendulo ngokuhambisana nalesi sihloko 👍 1

All Replies (3)

more options

You can find both, the .zip and the .xpi in my dropbox: here

more options

I get the same error (even tried about:debugging in Nightly), so there is definitely something wrong here (manifest.json?).

Maybe consider to ask advice elsewhere.

more options

Isisombululo Esikhethiwe

OK. I checked the documentation of the manifest.json file and it looks like a missing matches key in the content_scripts object.

Adding this key as a test allows to load the extension via about:debugging.

  "content_scripts": [
    {
      "matches": ["*://*.mozilla.org/*"],
      "js": ["ELiSA.js", "aes.js"],
      "css": ["ELiSA.css"]
    }
  ],